> For the complete documentation index, see [llms.txt](https://docs.realmjoin.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.realmjoin.com/ja/zi-dong-hua/runbooks/runbook-references/user/mail/convert-to-shared-mailbox.md).

# 共有メールボックスに変換

このユーザーのメールボックスを共有メールボックスに変換するか、元に戻します

### 説明

このユーザーのメールボックスを共有メールボックスに変換します。共有メールボックスを通常のユーザー メールボックスに戻すこともできます。共有に変換する場合、代理人にフルアクセス権を付与でき、ユーザーのグループ メンバーシップを削除できます。メールボックスに Exchange Online Plan 2 が必要な場合は、ライセンス グループを割り当てることができます。

### 場所

ユーザー → メール → 共有メールボックスに変換

**完全な Runbook 名**

rjgit-user\_mail\_convert-to-shared-mailbox

### 詳細

| プロパティ    | 値                                                                                 |
| -------- | --------------------------------------------------------------------------------- |
| バージョン    | 1.0.1                                                                             |
| 必須モジュール  | <p>RealmJoin.RunbookHelper (>= 0.8.10)<br>ExchangeOnlineManagement (>= 3.9.2)</p> |
| スケジュール可能 | いいえ                                                                               |

### 権限

#### アプリケーションのアクセス許可

* **種類**： Office 365 Exchange Online
  * Exchange.ManageAsApp
    * *メールボックスの種類を変換し、アプリ専用の Exchange Online セッションでアクセス許可と配布グループを管理します*
* **種類**: Microsoft Graph
  * User.ReadWrite.All
    * *ユーザーを読み取り、共有メールボックスへの変換時または共有メールボックスからの変換時に accountEnabled を切り替えます*
  * Group.Read.All *(任意 — 機能: グループとライセンスの処理)*
    * *表示名で通常ライセンス グループまたはアーカイブ用ライセンス グループを見つけます*
  * GroupMember.ReadWrite.All *(任意 — 機能: グループとライセンスの処理)*
    * *変換中にグループ メンバーシップを削除し、ライセンス グループ メンバーシップを管理します*

#### RBAC ロール

* Exchange 管理者
  * *メールボックスを変換するアプリ専用の Exchange Online セッションに必要です*

### パラメーター

#### UserName

Runbook が対象とするユーザーのユーザー プリンシパル名。ポータルで選択されたユーザーから設定されます。

| プロパティ    | 値                         |
| -------- | ------------------------- |
| 必須       | true                      |
| 既定値      |                           |
| 種類       | 文字列                       |
| ポータルで非表示 | はい (Runbook のカスタマイズで事前設定) |

#### delegateTo

共有メールボックスへのフルアクセス権を取得するユーザー。アクセス権を付与しない場合は空欄のままにしてください。

| プロパティ | 値     |
| ----- | ----- |
| 必須    | false |
| 既定値   |       |
| 種類    | 文字列   |

#### 削除

共有メールボックスを通常のメールボックスに戻すかどうか。「Action」の選択によって設定されます。

| プロパティ    | 値                         |
| -------- | ------------------------- |
| 必須       | false                     |
| 既定値      | False                     |
| 種類       | ブール値                      |
| ポータルで非表示 | はい (Runbook のカスタマイズで事前設定) |

#### AutoMapping

共有メールボックスを委任先の Outlook に自動的に表示します。

| プロパティ | 値     |
| ----- | ----- |
| 必須    | false |
| 既定値   | False |
| 種類    | ブール値  |

#### グループの削除

共有に変換する際、ユーザーをライセンス グループを含むすべてのグループから外します。

| プロパティ | 値     |
| ----- | ----- |
| 必須    | false |
| 既定値   | True  |
| 種類    | ブール値  |

#### アーカイブ用ライセンス グループ

共有メールボックスにアーカイブがある、50 GB を超える、または訴訟ホールド中である場合に必要な Exchange Online Plan 2 ライセンスを割り当てるグループ。不要な場合は空欄のままにしてください。

| プロパティ | 値     |
| ----- | ----- |
| 必須    | false |
| 既定値   |       |
| 種類    | 文字列   |

#### 通常ライセンス グループ

通常のメールボックスに戻す際にメールボックス ライセンスを割り当てるグループ。何も割り当てない場合は空欄のままにしてください。

| プロパティ | 値     |
| ----- | ----- |
| 必須    | false |
| 既定値   |       |
| 種類    | 文字列   |

[Runbook リファレンスの概要に戻る](/ja/zi-dong-hua/runbooks/runbook-references.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.realmjoin.com/ja/zi-dong-hua/runbooks/runbook-references/user/mail/convert-to-shared-mailbox.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
